<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Coin Listesi</title>
<style>
    /* Stil tanımları buraya gelecek */
    .up {
        color: green;
    }
</style>
</head>
<body>

<h1>Coin Listesi</h1>

<table id="coinTable">
    <tr>
        <th>Simge</th>
        <th>İsim</th>
        <th>Fiyat (USD)</th>
        <th>Değişim (24 Saat)</th>
    </tr>
</table>

<script>
function updateTable() {
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            var cryptoData = JSON.parse(this.responseText);
            updateTableWithCryptoData(cryptoData);
        }
    };
    xhttp.open("GET", "ajax_1.php", true);
    xhttp.send();
}

function updateTableWithCryptoData(data) {
    var table = document.getElementById("coinTable");
    table.innerHTML = "<tr><th>Simge</th><th>İsim</th><th>Fiyat (USD)</th><th>Değişim (24 Saat)</th></tr>";

    data.forEach(function(coin) {
        var row = table.insertRow(-1);
        var symbolCell = row.insertCell(0);
        var nameCell = row.insertCell(1);
        var priceCell = row.insertCell(2);
        var changeCell = row.insertCell(3);

        var price = coin.price;
        var percentChange = coin.percent_change_24h;
        var changeColorClass;

        if (percentChange > 0) {
            changeColorClass = 'up';
        } else if (percentChange < 0) {
            changeColorClass = 'down';
        } else {
            changeColorClass = 'neutral';
        }

        symbolCell.innerHTML = coin.symbol;
        nameCell.innerHTML = coin.name;
        priceCell.innerHTML = price;
        changeCell.innerHTML = percentChange + "%";
        changeCell.className = changeColorClass;
    });
}

// Sayfa yüklendiğinde ve belirli aralıklarla tabloyu güncelle
window.onload = function() {
    updateTable();
    setInterval(updateTable, 5000); // Her 5 saniyede bir güncelle (5000 milisaniye)
};
</script>



</body>
</html>
